@import 'mixins/_rem';

// variables

@import "variables/colors";
@import "variables/border";
@import "variables/box-shadow";
@import "variables/fonts";
@import "variables/titles";
@import "variables/bootstrap-variables-overwrite";
@import "ember-bootstrap/bootstrap";
@import "variables/grid";

@import "base/common";
// Dashboard (skin for list of atoms and components)

@import "skin/dashboard";

// Atoms (general)

@import "atom/icon";
@import "atom/picture";
@import "atom/avatar";
@import "atom/hashtag";
@import "atom/text-style";

// Atoms (form)

@import "atom/label";
@import "atom/button";
@import "atom/input";
@import "atom/textarea";
@import "atom/checkbox";
@import "atom/checkbox-circle";
@import "atom/radio-button";
@import "atom/select";

// Third party components and overwrites
@import "ember-power-select";
@import "ember-basic-dropdown";
@import "ember-power-calendar";
@import "ember-modal-dialog/ember-modal-structure";
@import "ember-modal-dialog/ember-modal-appearance";
@import "component/ember-place-autocomplete-overwrite";
@import "component/ember-power-select-overwrite";
@import "component/ember-leaflet-overwrite";
@import "component/ember-modal-dialog-overwrite";
@import "component/ember-cli-notifications";

// component (general)

@import "component/buttons";
@import "component/header";
@import "component/_component-header";
@import "component/card-button";
@import "component/card-notification";
@import "component/promise-button";
@import "component/buttons-filters";
@import "component/loading-overlay";
@import "component/menu-component";
@import "component/button-file";
@import "component/home-welcome";
@import "component/home-welcome-mobile";
@import "component/trending-tags";
@import "component/button-new-type";
@import "component/button-new-description";
@import "component/button-new-location";
@import "component/button-new-date";
@import "component/button-new-activate";
@import "component/button-new-share";
@import "component/new-button-header";
@import "component/login-component";
@import "component/create-net-component";
@import "component/info-overlay";
@import "component/register-component";
@import "component/message-component";
@import "component/button-icon";
@import "component/search-topbar";
@import "component/error-message";
@import "component/ember-power-calendar-overwrite";
@import "component/time-picker";
@import "component/net-picker";
@import "component/create-net";
@import "component/chat-messages";
@import "component/card-btn";
@import "component/btn-animation";
@import "component/chat-card";


// components (comments)
@import "component/comments-bar";
@import "component/comments-message";
@import "component/profile-card";

// general

@import "general/animations";

// pages
@import "pages/application";
@import "pages/search-map";
@import "pages/index/index";
@import "pages/index/list";
@import "pages/buttons";
@import "pages/profile-buttons";
@import "pages/chats";
@import "pages/login";
@import "pages/register";
@import "pages/recovery";
@import "pages/profile-edition";
@import "pages/others";
@import "pages/button-net";


html, body {
  background-color: $color-ligth-gray;
}

.notifications-index, ._c-notification__container--top_rc8i2a {
  z-index: 15000 !important;
}

.disabled {
  pointer-events: none;
  background-color: #C8C8C8;
  color: #858585;
}

.invisible {
  visibility: hidden;
}
